clang 8.0.0

Functions | Variables
mm_malloc.h File Reference
`#include <stdlib.h>`
Include dependency graph for mm_malloc.h:

Go to the source code of this file.

## Functions
int | posix_memalign (void **__memptr, size_t __alignment, size_t __size)
static __inline__ void * | __attribute__ ((__always_inline__, __nodebug__, __malloc__)) _mm_malloc(size_t __size
| if (posix_memalign(&__mallocedMemory, __align, __size)) return 0
static __inline__ void | __attribute__ ((__always_inline__, __nodebug__)) _mm_free(void *__p)

## Variables
static __inline__ void size_t | __align
void * | __mallocedMemory

## Function Documentation

## ◆ __attribute__() [1/2]

static __inline__ void* __attribute__ | ( | (__always_inline__, __nodebug__, __malloc__) |  | ) |
| static

## ◆ __attribute__() [2/2]

static __inline__ void __attribute__ | ( | (__always_inline__, __nodebug__) |  | ) |
| static

Definition at line 68 of file mm_malloc.h.

## ◆ if()

if | ( | posix_memalign &,, | __size | ) |

## ◆ posix_memalign()

int posix_memalign | ( | void ** | __memptr,
|  | size_t | __alignment,
|  | size_t | __size
| ) |  |

## Variable Documentation

## ◆ __align

__inline__ void size_t __align

Initial value:
{
if (__align == 1) {
return malloc(__size);
}
if (!(__align & (__align - 1)) && __align < sizeof(void *))
__align = sizeof(void *)
__align
static __inline__ void size_t __align
Definition: mm_malloc.h:47

Definition at line 47 of file mm_malloc.h.

## ◆ __mallocedMemory

return __mallocedMemory

Definition at line 55 of file mm_malloc.h.